%define module	UNIVERSAL-require
%define name	perl-%{module}
%define	modprefix UNIVERSAL
%define version	0.11
%define release	%mkrel 5

%define _provides_exceptions perl(UNIVERSAL)

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Require modules from a variable
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}/
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
BuildRequires:	perl-devel
%endif
Conflicts:	    perl-UNIVERSAL-exports < 0.03-3mdk
BuildRequires:	perl(Test::More) >= 0.47
BuildArch:	    noarch
BuildRoot:	    %{_tmppath}/%{name}-%{version}

%description
This module creates a universal require() class method that will work with
every Perl module and is secure.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
rm -rf %{buildroot}
%{makeinstall_std}

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%{perl_vendorlib}/UNIVERSAL
%{_mandir}/*/*




%changelog
* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11-5mdv2009.0
+ Revision: 258711
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.11-4mdv2009.0
+ Revision: 246674
- rebuild

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-2mdv2008.1
+ Revision: 137102
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request


* Fri Dec 15 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.11-1mdv2007.0
+ Revision: 97349
- new version

* Wed Sep 06 2006 Scott Karns <scottk@mandriva.org> 0.10-7mdv2007.0
+ Revision: 60004
- bump release for rebuild
- spec file cleanup
- rebuild
- Import perl-UNIVERSAL-require

* Tue May 16 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-6mdk
- Don't provide perl(UNIVERSAL)

* Sat May 06 2006 Scott Karns <scottk@mandriva.org> 0.10-5mdk
- Updated BuildRequires

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-4mdk
- Revert breakage on Conflicts tks Rgs for the explanation

* Sat Apr 29 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.10-3mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL

* Tue Nov 22 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-2mdk
- Add Conflicts with older perl-UNIVERSAL-exports package

* Mon Nov 21 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.10-1mdk
- Initial MDV package

